Bug 98693 - can't compile apm from kernel-source as module
Summary: can't compile apm from kernel-source as module
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-07 16:32 UTC by Ronan Waide
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel source config file (39.86 KB, text/plain)
2003-07-07 16:33 UTC, Ronan Waide
no flags Details

Description Ronan Waide 2003-07-07 16:32:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Using the Red Hat kernel source package and starting from the default config, I
enabled ACPI and modularised APM. I did a make mrproper, make dep, make bzImage
modules, make install modules_install. The following errors came from the depmod
phase of modules_install:

depmod: *** Unresolved symbols in
/lib/modules/2.4.20-18.9/kernel/arch/i386/kernel/apm.o
depmod:         cpu_gdt_table
depmod: *** Unresolved symbols in
/lib/modules/2.4.20-18.9/kernel/drivers/char/ipmi/ipmi_kcs_drv.o
depmod:         acpi_get_firmware_table


Version-Release number of selected component (if applicable):
kernel-source-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. make mrproper in /usr/src/linux-2.4
2. copy /boot/config-* to /usr/src/linux-2.4/.config
3. make xconfig, enable ACPI and modularise APM
4. make dep bzImage modules install modules_install

    

Actual Results:  
depmod: *** Unresolved symbols in
/lib/modules/2.4.20-18.9/kernel/arch/i386/kernel/apm.o
depmod:         cpu_gdt_table
depmod: *** Unresolved symbols in
/lib/modules/2.4.20-18.9/kernel/drivers/char/ipmi/ipmi_kcs_drv.o
depmod:         acpi_get_firmware_table

Expected Results:  Clean compile & install

Comment 1 Ronan Waide 2003-07-07 16:33:22 UTC
Created attachment 92776 [details]
kernel source config file

Comment 2 Arjan van de Ven 2003-07-07 16:36:50 UTC
you can't enable acpi in this kernel.
as for APM... well.. hm.

Comment 3 Ronan Waide 2003-07-07 16:38:59 UTC
Aha, ok, thanks. I'll go play with a stock kernel instead. If it's no big deal
to you guys about the APM error you can close this bug.

Comment 4 Bugzilla owner 2004-09-30 15:41:15 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.